ServerEvents.recipes(event => {

//Fine Wood
  event.shaped(
    Item.of('supplementaries:fine_wood', 8),
    [
      'AA ',
      'AA ',
      '   '
    ],
    {
      A: '#minecraft:logs'
    }
  ),
  event.recipes.create.cutting('2x supplementaries:fine_wood', '#minecraft:logs'),
//Fine Wood Stairs
  event.shaped(
    Item.of('supplementaries:fine_wood_stairs', 4),
    [
      'A  ',
      'AA ',
      'AAA'
    ],
    {
      A: 'supplementaries:fine_wood'
    }
  ),
  event.recipes.create.cutting('supplementaries:fine_wood_stairs', 'supplementaries:fine_wood'),
//Fine Wood Slab
  event.shaped(
    Item.of('supplementaries:fine_wood_slab', 6),
    [
      '   ',
      'AAA',
      '   '
    ],
    {
      A: 'supplementaries:fine_wood'
    }
  ),
  event.recipes.create.cutting('2x supplementaries:fine_wood_slab', 'supplementaries:fine_wood'),

//Willow Hanging Sign
  event.shaped(
    Item.of('hexerei:willow_hanging_sign', 6),
    [
      'A A',
      'BBB',
      'BBB'
    ],
    {
      A: 'minecraft:chain',
      B: '#hexerei:willow_planks'
    }
  ),
//Mahogany Hanging Sign
  event.shaped(
    Item.of('hexerei:mahogany_hanging_sign', 6),
    [
      'A A',
      'BBB',
      'BBB'
    ],
    {
      A: 'minecraft:chain',
      B: '#hexerei:mahogany_planks'
    }
  ),
//Witch Hazel Hanging Sign
  event.shaped(
    Item.of('hexerei:witch_hazel_hanging_sign', 6),
    [
      'A A',
      'BBB',
      'BBB'
    ],
    {
      A: 'minecraft:chain',
      B: '#hexerei:witch_hazel_planks'
    }
  ),
//Blossom Planks
  event.shapeless(
    Item.of('kubejs:blossom_planks', 4),
    [
      'kubejs:blossom_log'
    ]
  ),
  event.shapeless(
    Item.of('kubejs:blossom_planks', 4),
    [
      'kubejs:stripped_blossom_log'
    ]
  ),
//Blossom Bookshelf
  event.shaped(
    Item.of('kubejs:blossom_bookshelf', 1),
    [
      'AAA',
      'BBB',
      'AAA'
    ],
    {
      A: 'kubejs:blossom_planks',
      B: 'minecraft:book'
    }
  ),
  
  
  
//Additional Saw Recipies
//Stripping
  event.recipes.create.cutting('kubejs:stripped_blossom_log', 'kubejs:blossom_log'),
  event.recipes.create.cutting('bloomingnature:stripped_larch_wood', 'bloomingnature:larch_wood'),
  event.recipes.create.cutting('bloomingnature:stripped_larch_log', 'bloomingnature:larch_log'),
  event.recipes.create.cutting('bloomingnature:stripped_baobab_wood', 'bloomingnature:baobab_wood'),
  event.recipes.create.cutting('bloomingnature:stripped_baobab_log', 'bloomingnature:baobab_log'),
  event.recipes.create.cutting('bloomingnature:stripped_aspen_wood', 'bloomingnature:aspen_wood'),
  event.recipes.create.cutting('bloomingnature:stripped_aspen_log', 'bloomingnature:aspen_log'),
  event.recipes.create.cutting('bloomingnature:stripped_swamp_oak_wood', 'bloomingnature:swamp_oak_wood'),
  event.recipes.create.cutting('bloomingnature:stripped_swamp_oak_log', 'bloomingnature:swamp_oak_log'),
  event.recipes.create.cutting('bloomingnature:stripped_swamp_cypress_wood', 'bloomingnature:swamp_cypress_wood'),
  event.recipes.create.cutting('bloomingnature:stripped_swamp_cypress_log', 'bloomingnature:swamp_cypress_log'),
  event.recipes.create.cutting('bloomingnature:stripped_fan_palm_wood', 'bloomingnature:fan_palm_wood'),
  event.recipes.create.cutting('bloomingnature:stripped_fan_palm_log', 'bloomingnature:fan_palm_log'),
  event.recipes.create.cutting('bloomingnature:stripped_ebony_wood', 'bloomingnature:ebony_wood'),
  event.recipes.create.cutting('bloomingnature:stripped_ebony_log', 'bloomingnature:ebony_log'),
  event.recipes.create.cutting('bloomingnature:stripped_chestnut_wood', 'bloomingnature:chestnut_wood'),
  event.recipes.create.cutting('bloomingnature:stripped_chestnut_log', 'bloomingnature:chestnut_log'),
  event.recipes.create.cutting('bloomingnature:stripped_fir_wood', 'bloomingnature:fir_wood'),
  event.recipes.create.cutting('bloomingnature:stripped_fir_log', 'bloomingnature:fir_log'),
  event.recipes.create.cutting('vinery:stripped_dark_cherry_wood', 'vinery:dark_cherry_wood'),
  event.recipes.create.cutting('vinery:stripped_dark_cherry_log', 'vinery:dark_cherry_log'),
  event.recipes.create.cutting('hexerei:stripped_mahogany_wood', 'hexerei:mahogany_wood'),
  event.recipes.create.cutting('hexerei:stripped_mahogany_log', 'hexerei:mahogany_log'),
  event.recipes.create.cutting('hexerei:stripped_willow_wood', 'hexerei:willow_wood'),
  event.recipes.create.cutting('hexerei:stripped_willow_log', 'hexerei:willow_log'),
  event.recipes.create.cutting('hexerei:stripped_witch_hazel_wood', 'hexerei:witch_hazel_wood'),
  event.recipes.create.cutting('hexerei:stripped_witch_hazel_log', 'hexerei:witch_hazel_log'),
//Planks
  event.recipes.create.cutting('6x kubejs:blossom_planks', 'kubejs:stripped_blossom_log'),
  event.recipes.create.cutting('6x bloomingnature:larch_planks', 'bloomingnature:stripped_larch_wood'),
  event.recipes.create.cutting('6x bloomingnature:larch_planks', 'bloomingnature:stripped_larch_log'),
  event.recipes.create.cutting('6x bloomingnature:baobab_planks', 'bloomingnature:stripped_baobab_wood'),
  event.recipes.create.cutting('6x bloomingnature:baobab_planks', 'bloomingnature:stripped_baobab_log'),
  event.recipes.create.cutting('6x bloomingnature:aspen_planks', 'bloomingnature:stripped_aspen_wood'),
  event.recipes.create.cutting('6x bloomingnature:aspen_planks', 'bloomingnature:stripped_aspen_log'),
  event.recipes.create.cutting('6x bloomingnature:swamp_oak_planks', 'bloomingnature:stripped_swamp_oak_wood'),
  event.recipes.create.cutting('6x bloomingnature:swamp_oak_planks', 'bloomingnature:stripped_swamp_oak_log'),
  event.recipes.create.cutting('6x bloomingnature:swamp_cypress_planks', 'bloomingnature:stripped_swamp_cypress_wood'),
  event.recipes.create.cutting('6x bloomingnature:swamp_cypress_planks', 'bloomingnature:stripped_swamp_cypress_log'),
  event.recipes.create.cutting('6x bloomingnature:fan_palm_planks', 'bloomingnature:stripped_fan_palm_wood'),
  event.recipes.create.cutting('6x bloomingnature:fan_palm_planks', 'bloomingnature:stripped_fan_palm_log'),
  event.recipes.create.cutting('6x bloomingnature:ebony_planks', 'bloomingnature:stripped_ebony_wood'),
  event.recipes.create.cutting('6x bloomingnature:ebony_planks', 'bloomingnature:stripped_ebony_log'),
  event.recipes.create.cutting('6x bloomingnature:chestnut_planks', 'bloomingnature:stripped_chestnut_wood'),
  event.recipes.create.cutting('6x bloomingnature:chestnut_planks', 'bloomingnature:stripped_chestnut_log'),
  event.recipes.create.cutting('6x bloomingnature:fir_planks', 'bloomingnature:stripped_fir_wood'),
  event.recipes.create.cutting('6x bloomingnature:fir_planks', 'bloomingnature:stripped_fir_log'),
  event.recipes.create.cutting('6x vinery:dark_cherry_planks', 'vinery:stripped_dark_cherry_wood'),
  event.recipes.create.cutting('6x vinery:dark_cherry_planks', 'vinery:stripped_dark_cherry_log'),
  event.recipes.create.cutting('6x hexerei:mahogany_planks', 'hexerei:stripped_mahogany_wood'),
  event.recipes.create.cutting('6x hexerei:mahogany_planks', 'hexerei:stripped_mahogany_log'),
  event.recipes.create.cutting('6x hexerei:willow_planks', 'hexerei:stripped_willow_wood'),
  event.recipes.create.cutting('6x hexerei:willow_planks', 'hexerei:stripped_willow_log'),
  event.recipes.create.cutting('6x hexerei:witch_hazel_planks', 'hexerei:stripped_witch_hazel_wood'),
  event.recipes.create.cutting('6x hexerei:witch_hazel_planks', 'hexerei:stripped_witch_hazel_log'),
  event.recipes.create.cutting('hexerei:polished_witch_hazel_planks', 'hexerei:witch_hazel_planks'),
  event.recipes.create.cutting('hexerei:witch_hazel_planks', 'hexerei:polished_witch_hazel_planks'),
//Slabs
  event.recipes.create.cutting('2x minecraft:oak_slab', 'minecraft:oak_planks'),
  event.recipes.create.cutting('2x minecraft:spruce_slab', 'minecraft:spruce_planks'),
  event.recipes.create.cutting('2x minecraft:birch_slab', 'minecraft:birch_planks'),
  event.recipes.create.cutting('2x minecraft:jungle_slab', 'minecraft:jungle_planks'),
  event.recipes.create.cutting('2x minecraft:acacia_slab', 'minecraft:acacia_planks'),
  event.recipes.create.cutting('2x minecraft:dark_oak_slab', 'minecraft:dark_oak_planks'),
  event.recipes.create.cutting('2x minecraft:mangrove_slab', 'minecraft:mangrove_planks'),
  event.recipes.create.cutting('2x minecraft:cherry_slab', 'minecraft:cherry_planks'),
  event.recipes.create.cutting('2x minecraft:bamboo_slab', 'minecraft:bamboo_planks'),
  event.recipes.create.cutting('2x minecraft:bamboo_mosaic_slab', 'minecraft:bamboo_mosaic'),
  event.recipes.create.cutting('2x minecraft:crimson_slab', 'minecraft:crimson_planks'),
  event.recipes.create.cutting('2x minecraft:warped_slab', 'minecraft:warped_planks'),
  event.recipes.create.cutting('2x bloomingnature:larch_slab', 'bloomingnature:larch_planks'),
  event.recipes.create.cutting('2x bloomingnature:baobab_slab', 'bloomingnature:baobab_planks'),
  event.recipes.create.cutting('2x bloomingnature:aspen_slab', 'bloomingnature:aspen_planks'),
  event.recipes.create.cutting('2x bloomingnature:swamp_oak_slab', 'bloomingnature:swamp_oak_planks'),
  event.recipes.create.cutting('2x bloomingnature:swamp_cypress_slab', 'bloomingnature:swamp_cypress_planks'),
  event.recipes.create.cutting('2x bloomingnature:fan_palm_slab', 'bloomingnature:fan_palm_planks'),
  event.recipes.create.cutting('2x bloomingnature:ebony_slab', 'bloomingnature:ebony_planks'),
  event.recipes.create.cutting('2x bloomingnature:chestnut_slab', 'bloomingnature:chestnut_planks'),
  event.recipes.create.cutting('2x bloomingnature:fir_slab', 'bloomingnature:fir_planks'),
  event.recipes.create.cutting('2x vinery:dark_cherry_slab', 'vinery:dark_cherry_planks'),
  event.recipes.create.cutting('2x hexerei:mahogany_slab', 'hexerei:mahogany_planks'),
  event.recipes.create.cutting('2x hexerei:polished_mahogany_slab', 'hexerei:polished_mahogany_planks'),
  event.recipes.create.cutting('2x hexerei:willow_slab', 'hexerei:willow_planks'),
  event.recipes.create.cutting('2x hexerei:polished_willow_slab', 'hexerei:polished_willow_planks'),
  event.recipes.create.cutting('2x hexerei:witch_hazel_slab', 'hexerei:witch_hazel_planks'),
  event.recipes.create.cutting('2x hexerei:polished_witch_hazel_slab', 'hexerei:polished_witch_hazel_planks'),
//Stairs
  event.recipes.create.cutting('minecraft:oak_stairs', 'minecraft:oak_planks'),
  event.recipes.create.cutting('minecraft:spruce_stairs', 'minecraft:spruce_planks'),
  event.recipes.create.cutting('minecraft:birch_stairs', 'minecraft:birch_planks'),
  event.recipes.create.cutting('minecraft:jungle_stairs', 'minecraft:jungle_planks'),
  event.recipes.create.cutting('minecraft:acacia_stairs', 'minecraft:acacia_planks'),
  event.recipes.create.cutting('minecraft:dark_oak_stairs', 'minecraft:dark_oak_planks'),
  event.recipes.create.cutting('minecraft:mangrove_stairs', 'minecraft:mangrove_planks'),
  event.recipes.create.cutting('minecraft:cherry_stairs', 'minecraft:cherry_planks'),
  event.recipes.create.cutting('minecraft:bamboo_stairs', 'minecraft:bamboo_planks'),
  event.recipes.create.cutting('minecraft:bamboo_mosaic_stairs', 'minecraft:bamboo_mosaic'),
  event.recipes.create.cutting('minecraft:crimson_stairs', 'minecraft:crimson_planks'),
  event.recipes.create.cutting('minecraft:warped_stairs', 'minecraft:warped_planks'),
  event.recipes.create.cutting('bloomingnature:larch_stairs', 'bloomingnature:larch_planks'),
  event.recipes.create.cutting('bloomingnature:baobab_stairs', 'bloomingnature:baobab_planks'),
  event.recipes.create.cutting('bloomingnature:aspen_stairs', 'bloomingnature:aspen_planks'),
  event.recipes.create.cutting('bloomingnature:swamp_oak_stairs', 'bloomingnature:swamp_oak_planks'),
  event.recipes.create.cutting('bloomingnature:swamp_cypress_stairs', 'bloomingnature:swamp_cypress_planks'),
  event.recipes.create.cutting('bloomingnature:fan_palm_stairs', 'bloomingnature:fan_palm_planks'),
  event.recipes.create.cutting('bloomingnature:ebony_stairs', 'bloomingnature:ebony_planks'),
  event.recipes.create.cutting('bloomingnature:chestnut_stairs', 'bloomingnature:chestnut_planks'),
  event.recipes.create.cutting('bloomingnature:fir_stairs', 'bloomingnature:fir_planks'),
  event.recipes.create.cutting('vinery:dark_cherry_stairs', 'vinery:dark_cherry_planks'),
  event.recipes.create.cutting('hexerei:mahogany_stairs', 'hexerei:mahogany_planks'),
  event.recipes.create.cutting('hexerei:polished_mahogany_stairs', 'hexerei:polished_mahogany_planks'),
  event.recipes.create.cutting('hexerei:willow_stairs', 'hexerei:willow_planks'),
  event.recipes.create.cutting('hexerei:polished_willow_stairs', 'hexerei:polished_willow_planks'),
  event.recipes.create.cutting('hexerei:witch_hazel_stairs', 'hexerei:witch_hazel_planks'),
  event.recipes.create.cutting('hexerei:polished_witch_hazel_stairs', 'hexerei:polished_witch_hazel_planks'),
//Doors
  event.recipes.create.cutting('minecraft:oak_door', 'minecraft:oak_planks'),
  event.recipes.create.cutting('minecraft:spruce_door', 'minecraft:spruce_planks'),
  event.recipes.create.cutting('minecraft:birch_door', 'minecraft:birch_planks'),
  event.recipes.create.cutting('minecraft:jungle_door', 'minecraft:jungle_planks'),
  event.recipes.create.cutting('minecraft:acacia_door', 'minecraft:acacia_planks'),
  event.recipes.create.cutting('minecraft:dark_oak_door', 'minecraft:dark_oak_planks'),
  event.recipes.create.cutting('minecraft:mangrove_door', 'minecraft:mangrove_planks'),
  event.recipes.create.cutting('minecraft:cherry_door', 'minecraft:cherry_planks'),
  event.recipes.create.cutting('minecraft:bamboo_door', 'minecraft:bamboo_planks'),
  event.recipes.create.cutting('minecraft:crimson_door', 'minecraft:crimson_planks'),
  event.recipes.create.cutting('minecraft:warped_door', 'minecraft:warped_planks'),
  event.recipes.create.cutting('bloomingnature:larch_door', 'bloomingnature:larch_planks'),
  event.recipes.create.cutting('bloomingnature:baobab_door', 'bloomingnature:baobab_planks'),
  event.recipes.create.cutting('bloomingnature:aspen_door', 'bloomingnature:aspen_planks'),
  event.recipes.create.cutting('bloomingnature:swamp_oak_door', 'bloomingnature:swamp_oak_planks'),
  event.recipes.create.cutting('bloomingnature:swamp_cypress_door', 'bloomingnature:swamp_cypress_planks'),
  event.recipes.create.cutting('bloomingnature:fan_palm_door', 'bloomingnature:fan_palm_planks'),
  event.recipes.create.cutting('bloomingnature:ebony_door', 'bloomingnature:ebony_planks'),
  event.recipes.create.cutting('bloomingnature:chestnut_door', 'bloomingnature:chestnut_planks'),
  event.recipes.create.cutting('bloomingnature:fir_door', 'bloomingnature:fir_planks'),
  event.recipes.create.cutting('vinery:dark_cherry_door', 'vinery:dark_cherry_planks'),
  event.recipes.create.cutting('hexerei:mahogany_door', 'hexerei:mahogany_planks'),
  event.recipes.create.cutting('hexerei:polished_mahogany_door', 'hexerei:polished_mahogany_planks'),
  event.recipes.create.cutting('hexerei:willow_door', 'hexerei:willow_planks'),
  event.recipes.create.cutting('hexerei:polished_willow_door', 'hexerei:polished_willow_planks'),
  event.recipes.create.cutting('hexerei:witch_hazel_door', 'hexerei:witch_hazel_planks'),
  event.recipes.create.cutting('hexerei:polished_witch_hazel_door', 'hexerei:polished_witch_hazel_planks'),
//Trapdoors
  event.recipes.create.cutting('minecraft:oak_trapdoor', 'minecraft:oak_planks'),
  event.recipes.create.cutting('minecraft:spruce_trapdoor', 'minecraft:spruce_planks'),
  event.recipes.create.cutting('minecraft:birch_trapdoor', 'minecraft:birch_planks'),
  event.recipes.create.cutting('minecraft:jungle_trapdoor', 'minecraft:jungle_planks'),
  event.recipes.create.cutting('minecraft:acacia_trapdoor', 'minecraft:acacia_planks'),
  event.recipes.create.cutting('minecraft:dark_oak_trapdoor', 'minecraft:dark_oak_planks'),
  event.recipes.create.cutting('minecraft:mangrove_trapdoor', 'minecraft:mangrove_planks'),
  event.recipes.create.cutting('minecraft:cherry_trapdoor', 'minecraft:cherry_planks'),
  event.recipes.create.cutting('minecraft:bamboo_trapdoor', 'minecraft:bamboo_planks'),
  event.recipes.create.cutting('minecraft:crimson_trapdoor', 'minecraft:crimson_planks'),
  event.recipes.create.cutting('minecraft:warped_trapdoor', 'minecraft:warped_planks'),
  event.recipes.create.cutting('bloomingnature:larch_trapdoor', 'bloomingnature:larch_planks'),
  event.recipes.create.cutting('bloomingnature:baobab_trapdoor', 'bloomingnature:baobab_planks'),
  event.recipes.create.cutting('bloomingnature:aspen_trapdoor', 'bloomingnature:aspen_planks'),
  event.recipes.create.cutting('bloomingnature:swamp_oak_trapdoor', 'bloomingnature:swamp_oak_planks'),
  event.recipes.create.cutting('bloomingnature:swamp_cypress_trapdoor', 'bloomingnature:swamp_cypress_planks'),
  event.recipes.create.cutting('bloomingnature:fan_palm_trapdoor', 'bloomingnature:fan_palm_planks'),
  event.recipes.create.cutting('bloomingnature:ebony_trapdoor', 'bloomingnature:ebony_planks'),
  event.recipes.create.cutting('bloomingnature:chestnut_trapdoor', 'bloomingnature:chestnut_planks'),
  event.recipes.create.cutting('bloomingnature:fir_trapdoor', 'bloomingnature:fir_planks'),
  event.recipes.create.cutting('vinery:dark_cherry_trapdoor', 'vinery:dark_cherry_planks'),
  event.recipes.create.cutting('hexerei:mahogany_trapdoor', 'hexerei:mahogany_planks'),
  event.recipes.create.cutting('hexerei:polished_mahogany_trapdoor', 'hexerei:polished_mahogany_planks'),
  event.recipes.create.cutting('hexerei:willow_trapdoor', 'hexerei:willow_planks'),
  event.recipes.create.cutting('hexerei:polished_willow_trapdoor', 'hexerei:polished_willow_planks'),
  event.recipes.create.cutting('hexerei:witch_hazel_trapdoor', 'hexerei:witch_hazel_planks'),
  event.recipes.create.cutting('hexerei:polished_witch_hazel_trapdoor', 'hexerei:polished_witch_hazel_planks'),
//Buttons
  event.recipes.create.cutting('4x minecraft:oak_button', 'minecraft:oak_planks'),
  event.recipes.create.cutting('4x minecraft:spruce_button', 'minecraft:spruce_planks'),
  event.recipes.create.cutting('4x minecraft:birch_button', 'minecraft:birch_planks'),
  event.recipes.create.cutting('4x minecraft:jungle_button', 'minecraft:jungle_planks'),
  event.recipes.create.cutting('4x minecraft:acacia_button', 'minecraft:acacia_planks'),
  event.recipes.create.cutting('4x minecraft:dark_oak_button', 'minecraft:dark_oak_planks'),
  event.recipes.create.cutting('4x minecraft:mangrove_button', 'minecraft:mangrove_planks'),
  event.recipes.create.cutting('4x minecraft:cherry_button', 'minecraft:cherry_planks'),
  event.recipes.create.cutting('4x minecraft:bamboo_button', 'minecraft:bamboo_planks'),
  event.recipes.create.cutting('4x minecraft:bamboo_mosaic_button', 'minecraft:bamboo_mosaic'),
  event.recipes.create.cutting('4x minecraft:crimson_button', 'minecraft:crimson_planks'),
  event.recipes.create.cutting('4x minecraft:warped_button', 'minecraft:warped_planks'),
  event.recipes.create.cutting('4x bloomingnature:larch_button', 'bloomingnature:larch_planks'),
  event.recipes.create.cutting('4x bloomingnature:baobab_button', 'bloomingnature:baobab_planks'),
  event.recipes.create.cutting('4x bloomingnature:aspen_button', 'bloomingnature:aspen_planks'),
  event.recipes.create.cutting('4x bloomingnature:swamp_oak_button', 'bloomingnature:swamp_oak_planks'),
  event.recipes.create.cutting('4x bloomingnature:swamp_cypress_button', 'bloomingnature:swamp_cypress_planks'),
  event.recipes.create.cutting('4x bloomingnature:fan_palm_button', 'bloomingnature:fan_palm_planks'),
  event.recipes.create.cutting('4x bloomingnature:ebony_button', 'bloomingnature:ebony_planks'),
  event.recipes.create.cutting('4x bloomingnature:chestnut_button', 'bloomingnature:chestnut_planks'),
  event.recipes.create.cutting('4x bloomingnature:fir_button', 'bloomingnature:fir_planks'),
  event.recipes.create.cutting('4x vinery:dark_cherry_button', 'vinery:dark_cherry_planks'),
  event.recipes.create.cutting('4x hexerei:mahogany_button', 'hexerei:mahogany_planks'),
  event.recipes.create.cutting('4x hexerei:polished_mahogany_button', 'hexerei:polished_mahogany_planks'),
  event.recipes.create.cutting('4x hexerei:willow_button', 'hexerei:willow_planks'),
  event.recipes.create.cutting('4x hexerei:polished_willow_button', 'hexerei:polished_willow_planks'),
  event.recipes.create.cutting('4x hexerei:witch_hazel_button', 'hexerei:witch_hazel_planks'),
  event.recipes.create.cutting('4x hexerei:polished_witch_hazel_button', 'hexerei:polished_witch_hazel_planks'),
//Fences
  event.recipes.create.cutting('minecraft:oak_fence', 'minecraft:oak_planks'),
  event.recipes.create.cutting('minecraft:spruce_fence', 'minecraft:spruce_planks'),
  event.recipes.create.cutting('minecraft:birch_fence', 'minecraft:birch_planks'),
  event.recipes.create.cutting('minecraft:jungle_fence', 'minecraft:jungle_planks'),
  event.recipes.create.cutting('minecraft:acacia_fence', 'minecraft:acacia_planks'),
  event.recipes.create.cutting('minecraft:dark_oak_fence', 'minecraft:dark_oak_planks'),
  event.recipes.create.cutting('minecraft:mangrove_fence', 'minecraft:mangrove_planks'),
  event.recipes.create.cutting('minecraft:cherry_fence', 'minecraft:cherry_planks'),
  event.recipes.create.cutting('minecraft:bamboo_fence', 'minecraft:bamboo_planks'),
  event.recipes.create.cutting('minecraft:bamboo_mosaic_fence', 'minecraft:bamboo_mosaic'),
  event.recipes.create.cutting('minecraft:crimson_fence', 'minecraft:crimson_planks'),
  event.recipes.create.cutting('minecraft:warped_fence', 'minecraft:warped_planks'),
  event.recipes.create.cutting('bloomingnature:larch_fence', 'bloomingnature:larch_planks'),
  event.recipes.create.cutting('bloomingnature:baobab_fence', 'bloomingnature:baobab_planks'),
  event.recipes.create.cutting('bloomingnature:aspen_fence', 'bloomingnature:aspen_planks'),
  event.recipes.create.cutting('bloomingnature:swamp_oak_fence', 'bloomingnature:swamp_oak_planks'),
  event.recipes.create.cutting('bloomingnature:swamp_cypress_fence', 'bloomingnature:swamp_cypress_planks'),
  event.recipes.create.cutting('bloomingnature:fan_palm_fence', 'bloomingnature:fan_palm_planks'),
  event.recipes.create.cutting('bloomingnature:ebony_fence', 'bloomingnature:ebony_planks'),
  event.recipes.create.cutting('bloomingnature:chestnut_fence', 'bloomingnature:chestnut_planks'),
  event.recipes.create.cutting('bloomingnature:fir_fence', 'bloomingnature:fir_planks'),
  event.recipes.create.cutting('vinery:dark_cherry_fence', 'vinery:dark_cherry_planks'),
  event.recipes.create.cutting('hexerei:mahogany_fence', 'hexerei:mahogany_planks'),
  event.recipes.create.cutting('hexerei:polished_mahogany_fence', 'hexerei:polished_mahogany_planks'),
  event.recipes.create.cutting('hexerei:willow_fence', 'hexerei:willow_planks'),
  event.recipes.create.cutting('hexerei:polished_willow_fence', 'hexerei:polished_willow_planks'),
  event.recipes.create.cutting('hexerei:witch_hazel_fence', 'hexerei:witch_hazel_planks'),
  event.recipes.create.cutting('hexerei:polished_witch_hazel_fence', 'hexerei:polished_witch_hazel_planks'),
//Fence Gates
  event.recipes.create.cutting('2x minecraft:oak_fence_gate', 'minecraft:oak_planks'),
  event.recipes.create.cutting('2x minecraft:spruce_fence_gate', 'minecraft:spruce_planks'),
  event.recipes.create.cutting('2x minecraft:birch_fence_gate', 'minecraft:birch_planks'),
  event.recipes.create.cutting('2x minecraft:jungle_fence_gate', 'minecraft:jungle_planks'),
  event.recipes.create.cutting('2x minecraft:acacia_fence_gate', 'minecraft:acacia_planks'),
  event.recipes.create.cutting('2x minecraft:dark_oak_fence_gate', 'minecraft:dark_oak_planks'),
  event.recipes.create.cutting('2x minecraft:mangrove_fence_gate', 'minecraft:mangrove_planks'),
  event.recipes.create.cutting('2x minecraft:cherry_fence_gate', 'minecraft:cherry_planks'),
  event.recipes.create.cutting('2x minecraft:bamboo_fence_gate', 'minecraft:bamboo_planks'),
  event.recipes.create.cutting('2x minecraft:bamboo_mosaic_fence_gate', 'minecraft:bamboo_mosaic'),
  event.recipes.create.cutting('2x minecraft:crimson_fence_gate', 'minecraft:crimson_planks'),
  event.recipes.create.cutting('2x minecraft:warped_fence_gate', 'minecraft:warped_planks'),
  event.recipes.create.cutting('2x bloomingnature:larch_fence_gate', 'bloomingnature:larch_planks'),
  event.recipes.create.cutting('2x bloomingnature:baobab_fence_gate', 'bloomingnature:baobab_planks'),
  event.recipes.create.cutting('2x bloomingnature:aspen_fence_gate', 'bloomingnature:aspen_planks'),
  event.recipes.create.cutting('2x bloomingnature:swamp_oak_fence_gate', 'bloomingnature:swamp_oak_planks'),
  event.recipes.create.cutting('2x bloomingnature:swamp_cypress_fence_gate', 'bloomingnature:swamp_cypress_planks'),
  event.recipes.create.cutting('2x bloomingnature:fan_palm_fence_gate', 'bloomingnature:fan_palm_planks'),
  event.recipes.create.cutting('2x bloomingnature:ebony_fence_gate', 'bloomingnature:ebony_planks'),
  event.recipes.create.cutting('2x bloomingnature:chestnut_fence_gate', 'bloomingnature:chestnut_planks'),
  event.recipes.create.cutting('2x bloomingnature:fir_fence_gate', 'bloomingnature:fir_planks'),
  event.recipes.create.cutting('2x vinery:dark_cherry_fence_gate', 'vinery:dark_cherry_planks'),
  event.recipes.create.cutting('2x hexerei:mahogany_fence_gate', 'hexerei:mahogany_planks'),
  event.recipes.create.cutting('2x hexerei:polished_mahogany_fence_gate', 'hexerei:polished_mahogany_planks'),
  event.recipes.create.cutting('2x hexerei:willow_fence_gate', 'hexerei:willow_planks'),
  event.recipes.create.cutting('2x hexerei:polished_willow_fence_gate', 'hexerei:polished_willow_planks'),
  event.recipes.create.cutting('2x hexerei:witch_hazel_fence_gate', 'hexerei:witch_hazel_planks'),
  event.recipes.create.cutting('2x hexerei:polished_witch_hazel_fence_gate', 'hexerei:polished_witch_hazel_planks'),
//Pressure Plates
  event.recipes.create.cutting('4x minecraft:oak_pressure_plate', 'minecraft:oak_planks'),
  event.recipes.create.cutting('4x minecraft:spruce_pressure_plate', 'minecraft:spruce_planks'),
  event.recipes.create.cutting('4x minecraft:birch_pressure_plate', 'minecraft:birch_planks'),
  event.recipes.create.cutting('4x minecraft:jungle_pressure_plate', 'minecraft:jungle_planks'),
  event.recipes.create.cutting('4x minecraft:acacia_pressure_plate', 'minecraft:acacia_planks'),
  event.recipes.create.cutting('4x minecraft:dark_oak_pressure_plate', 'minecraft:dark_oak_planks'),
  event.recipes.create.cutting('4x minecraft:mangrove_pressure_plate', 'minecraft:mangrove_planks'),
  event.recipes.create.cutting('4x minecraft:cherry_pressure_plate', 'minecraft:cherry_planks'),
  event.recipes.create.cutting('4x minecraft:bamboo_pressure_plate', 'minecraft:bamboo_planks'),
  event.recipes.create.cutting('4x minecraft:bamboo_mosaic_pressure_plate', 'minecraft:bamboo_mosaic'),
  event.recipes.create.cutting('4x minecraft:crimson_pressure_plate', 'minecraft:crimson_planks'),
  event.recipes.create.cutting('4x minecraft:warped_pressure_plate', 'minecraft:warped_planks'),
  event.recipes.create.cutting('4x bloomingnature:larch_pressure_plate', 'bloomingnature:larch_planks'),
  event.recipes.create.cutting('4x bloomingnature:baobab_pressure_plate', 'bloomingnature:baobab_planks'),
  event.recipes.create.cutting('4x bloomingnature:aspen_pressure_plate', 'bloomingnature:aspen_planks'),
  event.recipes.create.cutting('4x bloomingnature:swamp_oak_pressure_plate', 'bloomingnature:swamp_oak_planks'),
  event.recipes.create.cutting('4x bloomingnature:swamp_cypress_pressure_plate', 'bloomingnature:swamp_cypress_planks'),
  event.recipes.create.cutting('4x bloomingnature:fan_palm_pressure_plate', 'bloomingnature:fan_palm_planks'),
  event.recipes.create.cutting('4x bloomingnature:ebony_pressure_plate', 'bloomingnature:ebony_planks'),
  event.recipes.create.cutting('4x bloomingnature:chestnut_pressure_plate', 'bloomingnature:chestnut_planks'),
  event.recipes.create.cutting('4x bloomingnature:fir_pressure_plate', 'bloomingnature:fir_planks'),
  event.recipes.create.cutting('4x vinery:dark_cherry_pressure_plate', 'vinery:dark_cherry_planks'),
  event.recipes.create.cutting('4x hexerei:mahogany_pressure_plate', 'hexerei:mahogany_planks'),
  event.recipes.create.cutting('4x hexerei:polished_mahogany_pressure_plate', 'hexerei:polished_mahogany_planks'),
  event.recipes.create.cutting('4x hexerei:willow_pressure_plate', 'hexerei:willow_planks'),
  event.recipes.create.cutting('4x hexerei:polished_willow_pressure_plate', 'hexerei:polished_willow_planks'),
  event.recipes.create.cutting('4x hexerei:witch_hazel_pressure_plate', 'hexerei:witch_hazel_planks'),
  event.recipes.create.cutting('4x hexerei:polished_witch_hazel_pressure_plate', 'hexerei:polished_witch_hazel_planks'),
//Signs
  event.recipes.create.cutting('2x minecraft:oak_sign', 'minecraft:oak_planks'),
  event.recipes.create.cutting('2x minecraft:spruce_sign', 'minecraft:spruce_planks'),
  event.recipes.create.cutting('2x minecraft:birch_sign', 'minecraft:birch_planks'),
  event.recipes.create.cutting('2x minecraft:jungle_sign', 'minecraft:jungle_planks'),
  event.recipes.create.cutting('2x minecraft:acacia_sign', 'minecraft:acacia_planks'),
  event.recipes.create.cutting('2x minecraft:dark_oak_sign', 'minecraft:dark_oak_planks'),
  event.recipes.create.cutting('2x minecraft:mangrove_sign', 'minecraft:mangrove_planks'),
  event.recipes.create.cutting('2x minecraft:cherry_sign', 'minecraft:cherry_planks'),
  event.recipes.create.cutting('2x minecraft:bamboo_sign', 'minecraft:bamboo_planks'),
  event.recipes.create.cutting('2x minecraft:bamboo_mosaic_sign', 'minecraft:bamboo_mosaic'),
  event.recipes.create.cutting('2x minecraft:crimson_sign', 'minecraft:crimson_planks'),
  event.recipes.create.cutting('2x minecraft:warped_sign', 'minecraft:warped_planks'),
  event.recipes.create.cutting('2x bloomingnature:larch_sign', 'bloomingnature:larch_planks'),
  event.recipes.create.cutting('2x bloomingnature:baobab_sign', 'bloomingnature:baobab_planks'),
  event.recipes.create.cutting('2x bloomingnature:aspen_sign', 'bloomingnature:aspen_planks'),
  event.recipes.create.cutting('2x bloomingnature:swamp_oak_sign', 'bloomingnature:swamp_oak_planks'),
  event.recipes.create.cutting('2x bloomingnature:swamp_cypress_sign', 'bloomingnature:swamp_cypress_planks'),
  event.recipes.create.cutting('2x bloomingnature:fan_palm_sign', 'bloomingnature:fan_palm_planks'),
  event.recipes.create.cutting('2x bloomingnature:ebony_sign', 'bloomingnature:ebony_planks'),
  event.recipes.create.cutting('2x bloomingnature:chestnut_sign', 'bloomingnature:chestnut_planks'),
  event.recipes.create.cutting('2x bloomingnature:fir_sign', 'bloomingnature:fir_planks'),
  event.recipes.create.cutting('2x vinery:dark_cherry_sign', 'vinery:dark_cherry_planks'),
  event.recipes.create.cutting('2x hexerei:mahogany_sign', 'hexerei:mahogany_planks'),
  event.recipes.create.cutting('2x hexerei:polished_mahogany_sign', 'hexerei:polished_mahogany_planks'),
  event.recipes.create.cutting('2x hexerei:willow_sign', 'hexerei:willow_planks'),
  event.recipes.create.cutting('2x hexerei:polished_willow_sign', 'hexerei:polished_willow_planks'),
  event.recipes.create.cutting('2x hexerei:witch_hazel_sign', 'hexerei:witch_hazel_planks'),
  event.recipes.create.cutting('2x hexerei:polished_witch_hazel_sign', 'hexerei:polished_witch_hazel_planks')

})